### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-footer/ecl-footer-standardised/ecl-footer-standardised.component.ts`

### Extends

`EclFooterComponent`

### Metadata

selector | `ecl-footer-standardised`
templateUrl | `./ecl-footer-standardised.component.html`

### Index

###### Properties

- role
- languageCode

###### Methods

- handlei18nEvents
- isGroup
- getCssClasses

###### Inputs

- group
- class
- e2eAttr

###### HostBindings

- attr.role
- class

###### Accessors

- cssClasses

### Inputs

group
Type : `string`
Default value : `'2'`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.role
Type : `string`
Default value : `'contentinfo'`

class
Type : `any`

### Methods

handlei18nEvents
`handlei18nEvents()`
Returns : `void`

isGroup
`isGroup(groupId: string)`

Parameters :

Name | Type | Optional
groupId | `string` | No

Returns : `boolean`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

role
Type : `string`
Default value : `'contentinfo'`
Decorators : `@HostBinding('attr.role')`

languageCode
Type : `string`
Default value : `'en'`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""